[Ocfs2-tools-commits] jlbec commits r1201 - in trunk: . fsck.ocfs2 mount.ocfs2 vendor/common

svn-commits@oss.oracle.com svn-commits at oss.oracle.com
Mon Jun 5 17:41:22 CDT 2006


Author: jlbec
Date: 2006-06-05 17:41:21 -0500 (Mon, 05 Jun 2006)
New Revision: 1201

Added:
   trunk/mount.ocfs2/mount.ocfs2.8.in
Modified:
   trunk/configure.in
   trunk/fsck.ocfs2/fsck.ocfs2.8.in
   trunk/mount.ocfs2/
   trunk/mount.ocfs2/Makefile
   trunk/vendor/common/o2cb.init
   trunk/vendor/common/ocfs2-tools.spec.in
Log:

From: David Mart?\195?\173nez Moreno <ender at debian.org>
ocfs2-tools: Incorporate some cleanups from the Debian package

o Fix Ted's name.
o o2cb.int uses bashisms.
o Mention that the cluster being started is an O2CB cluster.
o Add a skeleton manpage for mount.ocfs2.

Signed-off-by: Joel Becker <joel.becker at oracle.com>
Signed-off-by: Mark Fasheh <mark.fasheh at oracle.com>



Modified: trunk/configure.in
===================================================================
--- trunk/configure.in	2006-05-23 18:26:45 UTC (rev 1200)
+++ trunk/configure.in	2006-06-05 22:41:21 UTC (rev 1201)
@@ -192,6 +192,7 @@
 mounted.ocfs2/mounted.ocfs2.8
 fsck.ocfs2/fsck.ocfs2.8
 fsck.ocfs2/fsck.ocfs2.checks.8
+mount.ocfs2/mount.ocfs2.8
 o2cb_ctl/o2cb_ctl.8
 ocfs2_hb_ctl/ocfs2_hb_ctl.8
 ocfs2cdsl/ocfs2cdsl.8

Modified: trunk/fsck.ocfs2/fsck.ocfs2.8.in
===================================================================
--- trunk/fsck.ocfs2/fsck.ocfs2.8.in	2006-05-23 18:26:45 UTC (rev 1200)
+++ trunk/fsck.ocfs2/fsck.ocfs2.8.in	2006-06-05 22:41:21 UTC (rev 1201)
@@ -93,7 +93,7 @@
 .SH "AUTHORS"
 Oracle Corporation.  This man page entry derives some text, especially the exit code summary, from
 .BR e2fsck(8)
-by Theodore Ts’o <tytso at mit.edu>. 
+by Theodore Y. Ts'o <tytso at mit.edu>.
 
 .SH "COPYRIGHT"
 Copyright \(co 2004, 2005 Oracle. All rights reserved.


Property changes on: trunk/mount.ocfs2
___________________________________________________________________
Name: svn:ignore
   - .*.sw?
mount.ocfs2
*.d
cscope.*

   + .*.sw?
mount.ocfs2
mount.ocfs2.8
*.d
cscope.*


Modified: trunk/mount.ocfs2/Makefile
===================================================================
--- trunk/mount.ocfs2/Makefile	2006-05-23 18:26:45 UTC (rev 1200)
+++ trunk/mount.ocfs2/Makefile	2006-06-05 22:41:21 UTC (rev 1201)
@@ -33,8 +33,9 @@
 HFILES += mount_constants.h nls.h paths.h
 
 OBJS = $(subst .c,.o,$(CFILES))
+MANS = mount.ocfs2.8
 
-DIST_FILES = $(CFILES) $(HFILES)
+DIST_FILES = $(CFILES) $(HFILES) $(addsuffix .in,$(MANS))
 
 all: mount.ocfs2
 

Added: trunk/mount.ocfs2/mount.ocfs2.8.in
===================================================================
--- trunk/mount.ocfs2/mount.ocfs2.8.in	2006-05-23 18:26:45 UTC (rev 1200)
+++ trunk/mount.ocfs2/mount.ocfs2.8.in	2006-06-05 22:41:21 UTC (rev 1201)
@@ -0,0 +1,28 @@
+.TH "mount.ocfs2" "8" "May 2006" "Version @VERSION@" "OCFS2 Manual Pages"
+.SH "NAME"
+mount.ocfs2 \-  mount using the Oracle Cluster File System 2 (OCFS2)
+.SH "SYNOPSIS"
+\fBmount.ocfs2\fR [\fB\-vn\fR] [\fB\-o options\fR] [\fB\-t type\fR] \fIdevice\fR \fImount_point\fR
+.SH "DESCRIPTION"
+.PP 
+\fBmount.ocfs2\fR is used to mount preformatted OCFS2 devices.
+.SH "OPTIONS"
+.TP
+\fB\-v\fR
+verbose.
+
+.TP
+\fB\-n\fR
+nomtab.
+
+.SH "BUGS"
+Stuff.
+
+.SH "SEE ALSO"
+.BR mkfs.ocfs2(8)
+
+.SH "AUTHORS"
+Oracle Corporation
+
+.SH "COPYRIGHT"
+Copyright \(co 2002, 2004-2006 Oracle Corporation

Modified: trunk/vendor/common/o2cb.init
===================================================================
--- trunk/vendor/common/o2cb.init	2006-05-23 18:26:45 UTC (rev 1200)
+++ trunk/vendor/common/o2cb.init	2006-06-05 22:41:21 UTC (rev 1201)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 # init fragment for O2CB.
 #
 # chkconfig: 2345 24 20
@@ -541,24 +541,24 @@
     CLUSTER="${1:-${O2CB_BOOTCLUSTER}}"
     if [ -z "$CLUSTER" ]
     then
-        echo "Cluster not known"
+        echo "O2CB cluster not known"
         return
     fi
 
     check_online $CLUSTER
     if [ $? = 2 ]
     then
-        echo "Cluster ${CLUSTER} already online"
+        echo "O2CB cluster ${CLUSTER} already online"
         return
     fi
 
     if ! [ -f ${CLUSTERCONF} ]
     then
-        echo -n "Checking cluster configuration : "
+        echo -n "Checking O2CB cluster configuration : "
         if_fail 1
     fi
 
-    echo -n "Starting cluster ${CLUSTER}: "
+    echo -n "Starting O2CB cluster ${CLUSTER}: "
     OUTPUT="`o2cb_ctl -H -n "${CLUSTER}" -t cluster -a online=yes 2>&1`"
     if [ $? = 0 ]
     then
@@ -581,7 +581,7 @@
         echo "$OUTPUT"
     fi
 
-    echo -n "Stopping cluster ${CLUSTER}: "
+    echo -n "Stopping O2CB cluster ${CLUSTER}: "
     OUTPUT="`o2cb_ctl -H -n "${CLUSTER}" -t cluster -a online=no 2>&1`"
     if_fail "$?" "$OUTPUT"
 }
@@ -634,7 +634,7 @@
 
     clean_heartbeat $CLUSTER
 
-    echo -n "Stopping cluster ${CLUSTER}: "
+    echo -n "Stopping O2CB cluster ${CLUSTER}: "
     check_heartbeat $CLUSTER
     if [ $? != 0 ]
     then
@@ -666,7 +666,7 @@
     then
         ls -1 $(configfs_path)/cluster/ | while read CLUSTER
         do
-            echo "Unable to unload modules as Cluster ${CLUSTER} is still online" >&2
+            echo "Unable to unload modules as O2CB cluster ${CLUSTER} is still online" >&2
             exit 1
         done
         if [ $? = 1 ]
@@ -708,7 +708,7 @@
         return 1;
     fi
 
-    echo -n "Checking cluster $CLUSTER: "
+    echo -n "Checking O2CB cluster $CLUSTER: "
     check_online $CLUSTER
     if [ $? = 2 ]
     then
@@ -718,7 +718,7 @@
        return 0;
     fi
 
-    echo -n "Checking heartbeat: "
+    echo -n "Checking O2CB heartbeat: "
     check_heartbeat $CLUSTER
     if [ $? = 2 ]
     then

Modified: trunk/vendor/common/ocfs2-tools.spec.in
===================================================================
--- trunk/vendor/common/ocfs2-tools.spec.in	2006-05-23 18:26:45 UTC (rev 1200)
+++ trunk/vendor/common/ocfs2-tools.spec.in	2006-06-05 22:41:21 UTC (rev 1201)
@@ -26,7 +26,7 @@
 Vendor: Oracle
 Packager: nobody <nobody at oracle.com>
 Exclusiveos: Linux
-Requires: coreutils, net-tools, modutils, e2fsprogs, %{chkconfig_dep}, glib2 >= 2.2.3
+Requires: bash, coreutils, net-tools, modutils, e2fsprogs, %{chkconfig_dep}, glib2 >= 2.2.3
 BuildRequires: e2fsprogs-devel, glib2-devel >= 2.2.3, %{pygtk_name} >= 1.99.16, python-devel >= %{pyversion}
 
 BuildRoot: %{_tmppath}/ocfs2-tools-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}-root
@@ -124,6 +124,7 @@
 /usr/share/man/man8/fsck.ocfs2.checks.8.gz
 /usr/share/man/man8/mkfs.ocfs2.8.gz
 /usr/share/man/man8/tunefs.ocfs2.8.gz
+/usr/share/man/man8/mount.ocfs2.8.gz
 /usr/share/man/man8/mounted.ocfs2.8.gz
 /usr/share/man/man8/o2cb_ctl.8.gz
 /usr/share/man/man8/ocfs2_hb_ctl.8.gz




More information about the Ocfs2-tools-commits mailing list